/*
 * AssemblyUriAttribute.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;

namespace Eagle._Attributes
{
    [AttributeUsage(AttributeTargets.Assembly, Inherited = false)]
    [ObjectId("a6489d05-e792-4d38-8fab-31ad591e59e1")]
    public sealed class AssemblyUriAttribute : Attribute
    {
        public AssemblyUriAttribute(Uri uri)
        {
            this.uri = uri;
        }

        ///////////////////////////////////////////////////////////////////////

        public AssemblyUriAttribute(string value)
        {
            uri = new Uri(value); /* throw */
        }

        ///////////////////////////////////////////////////////////////////////

        private Uri uri;
        public Uri Uri
        {
            get { return uri; }
        }
    }
}
